Extensies bruikbaar maken voor beta 3 is dit mogelijk?

Met extensies en thema's kun je Mozilla-software vrijwel eindeloos uitbreiden. Kun je anderen een bepaalde extensie/thema aanbevelen? Of heb je vragen over of problemen met een bepaalde extensie/thema dan kun je die hier plaatsen.
riez
Berichten: 5
Lid geworden op: 19 februari 2008, 15:24
    unknown unknown

Extensies bruikbaar maken voor beta 3 is dit mogelijk?

Bericht door riez »

Ik vroeg me af hoe en of de mogelijkheid bestaat om extensies welke (nog) niet compatebale zijn met firefox beta 3, aan te passen/bruikbaar te maken voor firefox beta 3 dmv aanpassingen in het script of iets dergelijks.

Als deze mogelijkheid bestaat hoe moet ik dan te werk gaan?

Grtjs RieZ
Gebruikersavatar
adri
Moderator
Berichten: 11541
Lid geworden op: 5 maart 2005, 14:00
Locatie: Diessen
    unknown unknown

Bericht door adri »

Je kunt er wel voor zorgen dat extensies (ongeacht versienummer) gewoon geïnstalleerd worden:
Typ about:config in je adresbalk en filter op extensions.checkCompatibility, zet de waarde daarvan op false.

Het is echter wel zo dat dit geen wondermiddel is. Ondanks dat de extensie dan wel geïnstalleerd is, is dat geen enkele garantie dat die ook daadwerkelijk correct functioneert!

Ik gebruik zelf al geruime tijd FF 3.b*, maar diverse extensies die ik op die manier alsnog geïnstalleerd had, werken toch niet (goed). ;)
Afbeelding
riez
Berichten: 5
Lid geworden op: 19 februari 2008, 15:24
    unknown unknown

Bericht door riez »

Thnx anyway Bro 8)
javaansezware
Berichten: 4
Lid geworden op: 8 juni 2008, 15:09
    unknown unknown

Bericht door javaansezware »

Helaas, de entry "extensions.checkCompatibility" zit bij mij niet in about:config
:-(
Ik had het graag geprobeerd
Toch bedankt
Gebruikersavatar
cysoon
Berichten: 745
Lid geworden op: 15 december 2005, 16:41
    unknown unknown

Bericht door cysoon »

Inmiddels worden steeds meer add-ons compatibel met FF3.0
Verder kun je Nightly Tester Tools gebruiken, maar daarmee kun je FF om zeep helpen als je een bepaalde add-on forced compatibel maakt. Dus wees voorzichtig!
riez
Berichten: 5
Lid geworden op: 19 februari 2008, 15:24
    unknown unknown

Bericht door riez »

Dan voeg je deze handmatig toe

type in de adresbalk about:config en druk vervolgens op enter

ga nu met je muis aanwijzer ergens rechts staan daar waar geen tekst is.
klik nu op je rechtermuis knop en keis Nieuw en vervolgens Boolean.
Vul nu hier extensions.checkCompatibility in en klik op OK of druk op enter. Vervolgens vul je als waarde false in.

Verlaat het configuratie menu en geniet van je work around.

Het about:config menu is te vergelijken met windows register, waarin je ook ontbrekende sleutels kunt invoegen, suc6 :wink:
javaansezware
Berichten: 4
Lid geworden op: 8 juni 2008, 15:09
    unknown unknown

Bericht door javaansezware »

Bedankt, dit werpt een heel nieuw licht op about:config.
Is er ook ergens een leidraad te vinden? of vraag ik nu teveel :-)
Bedankt vast
Gebruikersavatar
adri
Moderator
Berichten: 11541
Lid geworden op: 5 maart 2005, 14:00
Locatie: Diessen
    unknown unknown

Bericht door adri »

Meer (Engelstalige) info over about:config is hier, maar ook daar te vinden.

NB: Voordat je in about:config gaat lopen prutsen, maak dan wel eerst even een back-up. Da's wel zo verstandig. ;)
Afbeelding